Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Create a new team.
cURL
curl --request POST \ --url https://api.squadvault.xyz/v1/teams \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "organizationId": "org_example", "name": "Academy" } '
const options = { method: 'POST', headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'}, body: JSON.stringify({organizationId: 'org_example', name: 'Academy'}) }; fetch('https://api.squadvault.xyz/v1/teams', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.squadvault.xyz/v1/teams" payload = { "organizationId": "org_example", "name": "Academy" } headers = { "x-api-key": "<api-key>", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.text)
201
Example
{ "id": "<string>", "organizationId": "<string>", "name": "<string>", "description": "<string>", "image": "<string>", "game": "cs", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "playerCount": 123, "players": [ { "id": "<string>", "name": "<string>", "role": "<string>", "mainGame": "cs", "nationality": "de", "teamRole": "captain", "gamerTags": [ { "id": "<string>", "organizationId": "<string>", "playerId": "<string>", "game": "cs", "gamerTag": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } ] } ] }
Organization API key from Settings → API keys.
cs
valorant
overwatch
fortnite
minecraft
rocket-league
league
other
Assigns each player with teamRole player. Ignored if players is set.
player
players
When present, replaces roster and wins over playerIds.
playerIds
Show child attributes
Created team
Was this page helpful?